%define name            wsdl4j
%define version         1.1
%define release         1jpp

%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section         free

# -----------------------------------------------------------------------------

Summary:        Web Services Description Language Toolkit for Java
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Text Processing/Markup/XML
License:        Common Public License
URL:            http://www-124.ibm.com/developerworks/projects/wsdl4j/
BuildArch:      noarch
Source0:        wsdl4j-1.1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
BuildRequires:  ant
Requires:       jaxp_parser_impl

%description
The Web Services Description Language for Java Toolkit (WSDL4J) allows the
creation, representation, and manipulation of WSDL documents describing
services.  This codebase will eventually serve as a reference implementation
of the standard created by JSR110.

# -----------------------------------------------------------------------------

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

# -----------------------------------------------------------------------------

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n wsdl4j
rm -rf `find . -type d -name "CVS"`

# -----------------------------------------------------------------------------

%build
ant compile javadocs

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{javadir}
install -m 0644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}/

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc license.html
%{javadir}/*

%files javadoc
%defattr(-,root,root,-)
%{javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Sat Sep  7 2002 Ville Skytt <ville.skytta at iki.fi> 1.1-1jpp
- First JPackage release.
